# Code generated by Lark OpenAPI.

import io
from typing import *
from typing import IO
from lark_oapi.core.const import UTF_8, CONTENT_TYPE
from lark_oapi.core import JSON
from lark_oapi.core.token import verify
from lark_oapi.core.http import Transport
from lark_oapi.core.model import Config, RequestOption, RawResponse
from lark_oapi.core.utils import Files
from requests_toolbelt import MultipartEncoder
from lark_oapi.api.translation.v1.model.detect_text_request import DetectTextRequest
from lark_oapi.api.translation.v1.model.detect_text_response import DetectTextResponse
from lark_oapi.api.translation.v1.model.translate_text_request import TranslateTextRequest
from lark_oapi.api.translation.v1.model.translate_text_response import TranslateTextResponse


class Text(object):
    def __init__(self, config: Config) -> None:
        self.config: Optional[Config] = config

    def detect(self, request: DetectTextRequest, option: RequestOption = RequestOption()) -> DetectTextResponse:
        # 鉴权、获取token
        verify(self.config, request, option)
        
        # 发起请求
        resp: RawResponse = Transport.execute(self.config, request, option)
        
        # 反序列化
        response: DetectTextResponse = JSON.unmarshal(str(resp.content, UTF_8), DetectTextResponse)
        response.raw = resp

        return response

    def translate(self, request: TranslateTextRequest, option: RequestOption = RequestOption()) -> TranslateTextResponse:
        # 鉴权、获取token
        verify(self.config, request, option)
        
        # 发起请求
        resp: RawResponse = Transport.execute(self.config, request, option)
        
        # 反序列化
        response: TranslateTextResponse = JSON.unmarshal(str(resp.content, UTF_8), TranslateTextResponse)
        response.raw = resp

        return response

    
